/*******************************************************************************
 * FoxSeqAct_HUD_DisplayDialogue generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxSeqAct_HUD_DisplayDialogue extends FoxSeqAct_HUD_Base
    native(Sequence)
    hidecategories(Object);

var(Localization) string TitleLabel;
var(Localization) string DescriptionLabel;
var(Localization) string UpdateLabel;
var(Localization) string SectionName;
var(Localization) string PackageName;
var(Display) Color TagColor;

// Export UFoxSeqAct_HUD_DisplayDialogue::execColorToHexString(FFrame&, void* const)
native static function string ColorToHexString(const Color BaseColor);

static function string MarkupFontColor(string Text, Color BaseColor)
{
    return ((("<font color='" $ (ColorToHexString(BaseColor))) $ "'>") $ Text) $ "</font>";
    //return ReturnValue;    
}

event SpawnUIElement(FoxUI DynamicUI)
{
    local string Title, Description, HUD;

    // End:0x26B
    if(((DynamicUI != none) && DynamicUI.HUD != none) && SectionName != "")
    {
        Title = DynamicUI.ParseStringForCommands(Localize(SectionName, TitleLabel, PackageName));
        Description = DynamicUI.ParseStringForCommands(Localize(SectionName, DescriptionLabel, PackageName));
        Title = MarkupFontColor(("[" $ Title) $ "]", TagColor);
        DynamicUI.Chat.TryUpdateLog(1, Title, Description);
        DynamicUI.HUD.PumpChatMessage(Title @ Description, DisplayTime);
        // End:0x26B
        if((UpdateLabel != "") && HUD != "")
        {
            HUD = DynamicUI.ParseStringForCommands(Localize(SectionName, UpdateLabel, PackageName));
            // End:0x26B
            if(HUD != "")
            {
                DynamicUI.HUD.PumpGameplayUpdateMessage(HUD);
            }
        }
    }
    //return;    
}

defaultproperties
{
    TitleLabel="Title"
    DescriptionLabel="Description"
    UpdateLabel="Hud"
    PackageName="Objectives"
    TagColor=(R=245,G=232,B=66,A=255)
    VariableLinks(0)=(ExpectedType=Class'Engine.SeqVar_Object',LinkedVariables=none,LinkDesc="Target",LinkVar=None,PropertyName=Targets,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(1)=(ExpectedType=Class'Engine.SeqVar_Float',LinkedVariables=none,LinkDesc="Display Time",LinkVar=None,PropertyName=DisplayTime,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=false,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(2)=(ExpectedType=Class'Engine.SeqVar_String',LinkedVariables=none,LinkDesc="Title Label",LinkVar=None,PropertyName=TitleLabel,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=true,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(3)=(ExpectedType=Class'Engine.SeqVar_String',LinkedVariables=none,LinkDesc="Description Label",LinkVar=None,PropertyName=DescriptionLabel,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=true,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(4)=(ExpectedType=Class'Engine.SeqVar_String',LinkedVariables=none,LinkDesc="Update Label",LinkVar=None,PropertyName=UpdateLabel,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=true,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(5)=(ExpectedType=Class'Engine.SeqVar_String',LinkedVariables=none,LinkDesc="Section Name",LinkVar=None,PropertyName=SectionName,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=true,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    VariableLinks(6)=(ExpectedType=Class'Engine.SeqVar_String',LinkedVariables=none,LinkDesc="Package Name",LinkVar=None,PropertyName=PackageName,bWriteable=false,bSequenceNeverReadsOnlyWritesToThisVar=false,bModifiesLinkedObject=false,bHidden=true,MinVars=1,MaxVars=255,DrawX=0,CachedProperty=none,bAllowAnyType=false,bMoving=false,bClampedMax=false,bClampedMin=false,OverrideDelta=0)
    ObjName="Display Dialogue"
}